<?php

/**
 * Class that operate on table 'buybilldetailoffer'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2022-01-05 22:09
 */
class BuybilldetailofferMySqlExtDAO extends BuybilldetailofferMySqlDAO {

    public function queryByBuybillidExt($value) {
        $sql = 'SELECT buybilldetailoffer.*, product.productName, unit.unitName ,unit.unitid ,productunit.productnumber ,productcat.productCatName
                ,size.name as sizeName,color.name as colorName
		 FROM buybilldetailoffer JOIN product
		 ON buybilldetailoffer.buybilldetailproductid = product.productId left JOIN productunit
		 ON buybilldetailoffer.productunitid = productunit.productunitid
		 left JOIN unit
		 ON unit.unitId = productunit.unitid
		 JOIN productcat
		 ON productcat.productCatId = product.productCatId

                left join sizecolor as size on size.id = buybilldetailoffer.sizeid
                left join sizecolor as color on color.id = buybilldetailoffer.colorid
		   WHERE buybillid = ?';
        $sqlQuery = new SqlQuery($sql);
        $sqlQuery->setNumber($value);
        return $this->getList($sqlQuery);
    }

}

?>